Package com.ocient.jdbc.proto

## Class PlanProtocol.RenameOperator.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RenameOperator.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.RenameOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.RenameOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.RenameOperator

    public static final class PlanProtocol.RenameOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RenameOperator.Builder>
    implements PlanProtocol.RenameOperatorOrBuilder

    Rename some columns

Protobuf type `xg.db.sqlPlans.RenameOperator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`PlanProtocol.RenameOperator.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.RenameOperator` `build()`
`PlanProtocol.RenameOperator` `buildPartial()`
`PlanProtocol.RenameOperator.Builder` `clear()`
`PlanProtocol.RenameOperator.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.RenameOperator.Builder` `clearOld2New()`
`PlanProtocol.RenameOperator.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.RenameOperator.Builder` `clone()`
`boolean` `containsOld2New​(String key)` Map old names to new names
`PlanProtocol.RenameOperator` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`Map<String,​String>` `getMutableOld2New()` Deprecated.
`Map<String,​String>` `getOld2New()` Deprecated.
`int` `getOld2NewCount()` Map old names to new names
`Map<String,​String>` `getOld2NewMap()` Map old names to new names
`String` `getOld2NewOrDefault​(String key, String defaultValue)` Map old names to new names
`String` `getOld2NewOrThrow​(String key)` Map old names to new names
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`protected com.google.protobuf.MapField` `internalGetMutableMapField​(int number)`
`boolean` `isInitialized()`
`PlanProtocol.RenameOperator.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.RenameOperator.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.RenameOperator.Builder` `mergeFrom​(PlanProtocol.RenameOperator other)`
`PlanProtocol.RenameOperator.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.RenameOperator.Builder` `putAllOld2New​(Map<String,​String> values)` Map old names to new names
`PlanProtocol.RenameOperator.Builder` `putOld2New​(String key, String value)` Map old names to new names
`PlanProtocol.RenameOperator.Builder` `removeOld2New​(String key)` Map old names to new names
`PlanProtocol.RenameOperator.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.RenameOperator.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.RenameOperator.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RenameOperator.Builder>`

#### internalGetMutableMapField

    protected com.google.protobuf.MapField internalGetMutableMapField​(int number)

Overrides:
  `internalGetMutableMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RenameOperator.Builder>`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RenameOperator.Builder>`

#### clear

    public PlanProtocol.RenameOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RenameOperator.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RenameOperator.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.RenameOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.RenameOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.RenameOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.RenameOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RenameOperator.Builder>`

#### setField

    public PlanProtocol.RenameOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                        Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RenameOperator.Builder>`

#### clearField

    public PlanProtocol.RenameOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RenameOperator.Builder>`

#### clearOneof

    public PlanProtocol.RenameOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RenameOperator.Builder>`

#### setRepeatedField

    public PlanProtocol.RenameOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                int index,
                                                                Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RenameOperator.Builder>`

#### addRepeatedField

    public PlanProtocol.RenameOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RenameOperator.Builder>`

#### mergeFrom

    public PlanProtocol.RenameOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.RenameOperator.Builder>`

#### mergeFrom

    public PlanProtocol.RenameOperator.Builder mergeFrom​(PlanProtocol.RenameOperator other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RenameOperator.Builder>`

#### mergeFrom

    public PlanProtocol.RenameOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.RenameOperator.Builder>`
Throws:
  `IOException`

#### getOld2NewCount

    public int getOld2NewCount()

Description copied from interface: `PlanProtocol.RenameOperatorOrBuilder`

    Map old names to new names

`map<string, string> old2New = 1;`

Specified by:
  `getOld2NewCount` in interface `PlanProtocol.RenameOperatorOrBuilder`

#### containsOld2New

    public boolean containsOld2New​(String key)

    Map old names to new names

`map<string, string> old2New = 1;`

Specified by:
  `containsOld2New` in interface `PlanProtocol.RenameOperatorOrBuilder`

#### getOld2New

    @Deprecated
    public Map<String,​String> getOld2New()

Deprecated.
Use `getOld2NewMap()` instead.

Specified by:
  `getOld2New` in interface `PlanProtocol.RenameOperatorOrBuilder`

#### getOld2NewMap

    public Map<String,​String> getOld2NewMap()

    Map old names to new names

`map<string, string> old2New = 1;`

Specified by:
  `getOld2NewMap` in interface `PlanProtocol.RenameOperatorOrBuilder`

#### getOld2NewOrDefault

    public String getOld2NewOrDefault​(String key,
                                      String defaultValue)

    Map old names to new names

`map<string, string> old2New = 1;`

Specified by:
  `getOld2NewOrDefault` in interface `PlanProtocol.RenameOperatorOrBuilder`

#### getOld2NewOrThrow

    public String getOld2NewOrThrow​(String key)

    Map old names to new names

`map<string, string> old2New = 1;`

Specified by:
  `getOld2NewOrThrow` in interface `PlanProtocol.RenameOperatorOrBuilder`

#### clearOld2New

    public PlanProtocol.RenameOperator.Builder clearOld2New()

#### removeOld2New

    public PlanProtocol.RenameOperator.Builder removeOld2New​(String key)

    Map old names to new names

`map<string, string> old2New = 1;`

#### getMutableOld2New

    @Deprecated
    public Map<String,​String> getMutableOld2New()

Deprecated.
Use alternate mutation accessors instead.

#### putOld2New

    public PlanProtocol.RenameOperator.Builder putOld2New​(String key,
                                                          String value)

    Map old names to new names

`map<string, string> old2New = 1;`

#### putAllOld2New

    public PlanProtocol.RenameOperator.Builder putAllOld2New​(Map<String,​String> values)

    Map old names to new names

`map<string, string> old2New = 1;`

#### setUnknownFields

    public final PlanProtocol.RenameOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RenameOperator.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.RenameOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.RenameOperator.Builder>`